[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Lock

Lock the list

## Declaration

Source position: classesh.inc line 2114

`public procedure TInterfaceList.Lock;`

## Description

Lock locks the list. It is the implementation of the IInterfaceList.Lock method. It limits access to the list to the current thread.

## See also

IInterfaceList.Lock |  | Lock the list
TInterfaceList.UnLock |  | UnLocks a locked list
TThreadList.LockList |  | Locks the list for exclusive access.